Overview
GET
/public/users/{slug}/papers/{route}publicGet a published paper by (author slug, route)
Fetch a record from papers by slug, route.
Parameters
- slugpathstring
- routepathstring
Responses
200
The published paper (with content)
- routestring
- titlestring
- categorystring?
- tagsstring[]
- contentstring
Full raw markdown, byte-exact.
- createdAtstring
- updatedAtstring
Example
{
"route": "string",
"title": "string",
"category": "string",
"tags": [
"string"
],
"content": "string",
"createdAt": "string",
"updatedAt": "string"
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/public/users/{slug}/papers/{route}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/public/users/{slug}/papers/{route}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();